sayren Docs
주문 상품 처리

발송 지연 처리

POST
/v1/order-items/{orderItemId}/hold

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

orderItemId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
reason*string
Value in"OUT_OF_STOCK""CUSTOMER_REQUEST""CUSTOMS""ETC"
detail?string
Lengthlength <= 500
expectedDispatchDate*string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/order-items/string/hold' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "reason": "OUT_OF_STOCK",  "expectedDispatchDate": "string"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "orderItemId": "string",    "orderItemNo": null,    "orderId": "string",    "status": "PAYMENT_WAITING",    "claimStatus": "CANCEL_REQUESTED",    "productId": "string",    "productName": "string",    "optionId": "string",    "optionName": "string",    "optionSelections": [],    "customInputs": [],    "stay": {      "checkIn": "string",      "checkOut": "string",      "nights": [        {          "date": "string",          "price": 0        }      ]    },    "sellerCode": "string",    "fulfillmentSnapshot": {      "type": "SHIPPING",      "shipping": {        "bundleKey": "string",        "returnAddressId": "string"      },      "method": "string",      "pickupLocation": {        "locationId": "string",        "name": "string",        "address": "string",        "phone": "string",        "hours": "string"      }    },    "quantity": 0,    "canceledQuantity": 0,    "activeQuantity": 0,    "unitPrice": 0,    "discountAmount": 0,    "totalPrice": 0,    "couponDiscountAmount": 0,    "pointAllocation": 0,    "hold": {      "reason": "string",      "expectedDispatchDate": "string"    },    "fulfillment": null,    "autoDecisionDate": "string",    "sellerMemo": "string",    "orderedAt": "string",    "lastChangedAt": "string",    "lastChangedType": "ORDER.PAID",    "testPayment": true  },  "error": null}